before_script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl

stages:
    - staging
    - production
    - trigger-cross-projects

staging:
    type: deploy
    stage: staging
    image: ruby:latest
    script:
        - dpl --provider=heroku --app=$HEROKU_APP_STAGING --api-key=$HEROKU_API_KEY
    only:
        - staging

production:
    type: deploy
    stage: production
    image: ruby:latest
    script:
        - dpl --provider=heroku --app=$HEROKU_APP_PRODUCTION --api-key=$HEROKU_API_KEY
    only:
        - master
      
website:
    stage: trigger-cross-projects
    variables:
        ENVIRONMENT: 'Deploy documentation to website'
    trigger: LibreFoodPantry/librefoodpantry.gitlab.io
    only:
    - master      
        